//
// ThaiPalaceMenuClient.java
//
// Klasa tworząca konstruktor dla danej usługi po stronie serwera
// wywołująca zdalną procedurę, a następnie wyświetlająca odpowiedź.
//

import java.io.*;


public class ThaiPalaceMenuClient {
  
  public static void main(String [] args) throws Exception {
    
    // Utwórz instancję wybranej usługi
    
    ThaiPalaceMenuService service = new ThaiPalaceMenuService();

    // Użyj konstruktora metody w odniesieniu do usługi, by otrzymać pniak portStub.
    
    ThaiPalaceMenuServicePortType port = service.getThaiPalaceMenuServicePort();
    
    // Dokonaj faktycznych wywołań.
    
    String schema = port.getMenuSchema();

    String document = port.getMenuDocument();
    
    String stylesheet = port.getMenuStylesheet();
       
    String menu = port.getMenu() ;

    // A zatem – co jemy dziś na obiad?

    System.out.println(menu) ;

  }
}

